DOM::DOMException Class Reference

`#include <dom_exception.h>`

## Public Types

enum | ExceptionCode { INDEX_SIZE_ERR = 1, DOMSTRING_SIZE_ERR = 2, HIERARCHY_REQUEST_ERR = 3, WRONG_DOCUMENT_ERR = 4, INVALID_CHARACTER_ERR = 5, NO_DATA_ALLOWED_ERR = 6, NO_MODIFICATION_ALLOWED_ERR = 7, NOT_FOUND_ERR = 8, NOT_SUPPORTED_ERR = 9, INUSE_ATTRIBUTE_ERR = 10, INVALID_STATE_ERR = 11, SYNTAX_ERR = 12, INVALID_MODIFICATION_ERR = 13, NAMESPACE_ERR = 14, INVALID_ACCESS_ERR = 15 }

## Public Member Functions

| DOMException (unsigned short _code)
| DOMException (const DOMException &other)
DOMException & | operator= (const DOMException &other)

## Public Attributes

unsigned short | code

## Detailed Description

DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable).

In general, DOM methods return specific error values in ordinary processing situation, such as out-of-bound errors when using `NodeList` .

Implementations may raise other exceptions under other circumstances. For example, implementations may raise an implementation-dependent exception if a `null` argument is passed.

Some languages and object systems do not support the concept of exceptions. For such systems, error conditions may be indicated using native error reporting mechanisms. For some bindings, for example, methods may return error codes similar to those listed in the corresponding method descriptions.

Definition at line 57 of file dom_exception.h.

## Member Enumeration Documentation

enum DOM::DOMException::ExceptionCode

An integer indicating the type of error generated.

Definition at line 71 of file dom_exception.h.

The documentation for this class was generated from the following file:

- dom_exception.h

KDE Home | KDE Accessibility Home | Description of Access Keys